package com.gic.haoban.manage.service.entity.chat;

import java.util.Date;
import java.io.Serializable;

/**
 * 内容活动完成奖励表(TabHaobanGroupChatActivityRewardLog)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:57
 */
public class TabGroupChatActivityRewardLog implements Serializable {
    private static final long serialVersionUID = 825094751550440080L;
    /**
     * 社群活动奖励id
     */
    private Long chatActivityRewardLogId;
    /**
     * 社群活动id
     */
    private Long chatActivityId;
    /**
     * 会员ID
     */
    private String memberId;
    /**
     * 奖励人类型 1邀请人2受邀人
     */
    private Integer rewardInvite;
    /**
     * 奖励阶梯 阶梯奖励，其他奖励默认1
     */
    private Integer inviteLevel;
    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 微信企业ID
     */
    private String wxEnterpriseId;

    private Date createTime;

    private Date updateTime;

    private Integer deleteFlag;


    public Long getChatActivityRewardLogId() {
        return chatActivityRewardLogId;
    }

    public void setChatActivityRewardLogId(Long chatActivityRewardLogId) {
        this.chatActivityRewardLogId = chatActivityRewardLogId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getRewardInvite() {
        return rewardInvite;
    }

    public void setRewardInvite(Integer rewardInvite) {
        this.rewardInvite = rewardInvite;
    }

    public Integer getInviteLevel() {
        return inviteLevel;
    }

    public void setInviteLevel(Integer inviteLevel) {
        this.inviteLevel = inviteLevel;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}

